AutoCAD Map 3D Developer

Reply
New Member
rbeemer
Posts: 2
Registered: ‎09-04-2012
Message 1 of 1 (185 Views)

CreateLabel method

185 Views, 0 Replies
10-09-2012 01:49 PM

No matter which way I approach using the CreateLabel method to place a free standing label I receive errors.

I have been using the CreateLink method for some time, and it works fine.

 

Any insights to this would be much appreciated.

 

 

 

 

(setq link-result (vlax-invoke-method objLinktemplate "CreateLabel" objKeyvalues objLabeltemplate nil))


; error: ActiveX Server returned an error: Type mismatch


      
(setq link-result (vlax-invoke-method objLinktemplate "CreateLabel" objKeyvalues labeltemplate-name nil))


; error: lisp value has no coercion to VARIANT with this type:  "POLE-NO"

 


(setq link-result


  (vlax-invoke-method objLinktemplate "CreateLabel" objKeyvalues (vlax-make-variant linktemplate-name

vlax-vbString) nil)
)


; error: lisp value has no coercion to VARIANT with this type:  #<variant 8 POLE>

 


(setq link-result (vl-catch-all-apply


  'caom-CreateLabel (list objLinktemplate obj-id objKeyvalues labeltemplate-name nil)


))


; error: Exception occurred: 0xC0000005 (Access Violation)
; warning: unwind skipped on unknown exception

 


(setq link-result (vl-catch-all-apply
  'caom-CreateLink (list objLinktemplate obj-id objKeyvalues)
))


;works fine

Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Are You Going To Be @ AU 2014? Feel free to drop by our AU topic post and share your plans, plug a class that you're teaching, or simply check out who else from the community might be in attendance. Ohh and don't forgot to stop by the Autodesk Help | Learn | Collaborate booths in the Exhibit Hall and meet our community team if you get a chance!